summaryrefslogtreecommitdiffstats
path: root/bin/ebuild-helpers/newlib.a
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2009-03-12 00:28:45 +0000
committerZac Medico <zmedico@gentoo.org>2009-03-12 00:28:45 +0000
commitc9cf1a3a0bb3dc6ca5f801e6886fb4f0be90c767 (patch)
tree5e55a40e4c13d8c9ddd779ea6c4d395117d1fa99 /bin/ebuild-helpers/newlib.a
parentbc188208fd239d4f9f2be6ad5ab1ebdac3706572 (diff)
downloadportage-c9cf1a3a0bb3dc6ca5f801e6886fb4f0be90c767.tar.gz
portage-c9cf1a3a0bb3dc6ca5f801e6886fb4f0be90c767.tar.bz2
portage-c9cf1a3a0bb3dc6ca5f801e6886fb4f0be90c767.zip
Move ebuild helpers into an ebuild-helpers subdirectory.
svn path=/main/trunk/; revision=13063
Diffstat (limited to 'bin/ebuild-helpers/newlib.a')
-rwxr-xr-xbin/ebuild-helpers/newlib.a18
1 files changed, 18 insertions, 0 deletions
diff --git a/bin/ebuild-helpers/newlib.a b/bin/ebuild-helpers/newlib.a
new file mode 100755
index 000000000..ddcb1af25
--- /dev/null
+++ b/bin/ebuild-helpers/newlib.a
@@ -0,0 +1,18 @@
+#!/bin/bash
+# Copyright 1999-2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+if [[ -z ${T} ]] || [[ -z ${2} ]] ; then
+ echo "$0: Need two arguments, old file and new file" 1>&2
+ exit 1
+fi
+
+if [ ! -e "$1" ] ; then
+ echo "!!! ${0##*/}: $1 does not exist" 1>&2
+ exit 1
+fi
+
+rm -rf "${T}/${2}" && \
+cp -f "${1}" "${T}/${2}" && \
+exec dolib.a "${T}/${2}"